<?php

/**
 * @file
 * Definition of WoW\guild\Guild.
 */

/**
 * Defines the wow_guild entity class.
 */

class WoWGuild extends WoWRemoteEntity {

  /**
   * The guild ID.
   *
   * @var integer
   */
  public $gid;

  /**
   * The guild region.
   *
   * @var string
   */
  public $region;

  /**
   * The guild realm (slug).
   *
   * @var string
   */
  public $realm;

  /**
   * The guild name.
   *
   * @var string
   */
  public $name;

  /**
   * The guild level.
   *
   * @var integer
   */
  public $level;

  /**
   * Whether the guild is alliance(0) or horde(1).
   *
   * @var integer
   */
  public $side;

  /**
   * The guild achievement points.
   *
   * @var integer
   */
  public $achievementPoints;

  public function remoteURI() {
    return drupal_encode_path("guild/$this->realm/$this->name");
  }

}
